#include <fstream>
#include <string.h>
using namespace std;

int main(int argc, char** argv) 
{
	ifstream f("demtu.inp");
	char a[1000];
	int i,dem=0;
	f.getline(a,1000);
	f.close();
	ofstream g("demtu.out");
	for (i=0;i<=strlen(a);i++)
		if (a[i]==' '&a[i+1]!=' ')
		dem++;
		if (a[0]!=' ')
		dem++;
	g<<dem;
	g.close();
	return 0;
}
